Landing page analytics
Get apiv2organizations landing pages analyticsacquisition
GET
/
api
/
v2
/
organizations
/
{orgId}
/
landing-pages
/
{pageId}
/
analytics
/
acquisition
cURL
curl --request GET \
--url https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisitionimport requests
url = "https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"referrers": [
{
"value": "<string>",
"total": 123
}
],
"utmSources": [
{
"value": "<string>",
"total": 123
}
],
"utmMediums": [
{
"value": "<string>",
"total": 123
}
],
"utmCampaigns": [
{
"value": "<string>",
"total": 123
}
],
"utmTerms": [
{
"value": "<string>",
"total": 123
}
],
"utmContents": [
{
"value": "<string>",
"total": 123
}
],
"countries": [
{
"value": "<string>",
"total": 123
}
],
"devices": [
{
"value": "<string>",
"total": 123
}
],
"browsers": [
{
"value": "<string>",
"total": 123
}
],
"oses": [
{
"value": "<string>",
"total": 123
}
],
"hours": [
{
"weekday": 123,
"hour": 123,
"visits": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Available options:
today, yesterday, 7d, 30d, 90d, all, custom Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
mobile, tablet, desktop Available options:
chrome, firefox, safari, edge, opera, samsung, other Available options:
ios, android, macos, windows, linux, other Pattern:
^[A-Z]{2}$Response
Where visits come from: referrers, UTM dimensions, countries, devices, browsers, operating systems and activity hours
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisitionimport requests
url = "https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/landing-pages/{pageId}/analytics/acquisition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"referrers": [
{
"value": "<string>",
"total": 123
}
],
"utmSources": [
{
"value": "<string>",
"total": 123
}
],
"utmMediums": [
{
"value": "<string>",
"total": 123
}
],
"utmCampaigns": [
{
"value": "<string>",
"total": 123
}
],
"utmTerms": [
{
"value": "<string>",
"total": 123
}
],
"utmContents": [
{
"value": "<string>",
"total": 123
}
],
"countries": [
{
"value": "<string>",
"total": 123
}
],
"devices": [
{
"value": "<string>",
"total": 123
}
],
"browsers": [
{
"value": "<string>",
"total": 123
}
],
"oses": [
{
"value": "<string>",
"total": 123
}
],
"hours": [
{
"weekday": 123,
"hour": 123,
"visits": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}